aboutsummaryrefslogtreecommitdiffhomepage
path: root/platform_tools
diff options
context:
space:
mode:
authorGravatar commit-bot@chromium.org <commit-bot@chromium.org@2bbb7eff-a529-9590-31e7-b0007b416f81>2013-08-22 21:57:22 +0000
committerGravatar commit-bot@chromium.org <commit-bot@chromium.org@2bbb7eff-a529-9590-31e7-b0007b416f81>2013-08-22 21:57:22 +0000
commit4020acfa7e60cee1510d3c1d2baad9661891bad7 (patch)
tree2af29e4d01fc559a5e61ce45914d568983e69335 /platform_tools
parent07e1c3fd5030869c480c15ff30d36bd161718262 (diff)
Fix android_run_skia
R=djsollen@google.com, mtklein@google.com Author: borenet@google.com Review URL: https://chromiumcodereview.appspot.com/22861030 git-svn-id: http://skia.googlecode.com/svn/trunk@10885 2bbb7eff-a529-9590-31e7-b0007b416f81
Diffstat (limited to 'platform_tools')
-rwxr-xr-xplatform_tools/android/bin/android_run_skia11
1 files changed, 8 insertions, 3 deletions
diff --git a/platform_tools/android/bin/android_run_skia b/platform_tools/android/bin/android_run_skia
index a5b3d94ba0..a562bc57cb 100755
--- a/platform_tools/android/bin/android_run_skia
+++ b/platform_tools/android/bin/android_run_skia
@@ -31,6 +31,11 @@ adb_push_if_needed "${SKIA_OUT}/${configuration}/skia_launcher" /data/local/tmp
adb_push_if_needed "${SKIA_OUT}/${configuration}/lib.target/libskia_android.so" /data/local/tmp
adb_push_if_needed "${SKIA_OUT}/${configuration}/lib.target/lib${runVars[0]}.so" /data/local/tmp
-
-$ADB ${DEVICE_SERIAL} shell /data/local/tmp/skia_launcher ${runVars[@]}
-exit $?
+STATUS_FILENAME="/data/local/tmp/.skia_tmp_$(date +%s%N)"
+$ADB ${DEVICE_SERIAL} shell "/data/local/tmp/skia_launcher ${runVars[@]}; echo \$? > ${STATUS_FILENAME}"
+EXIT_CODE=`$ADB ${DEVICE_SERIAL} shell cat ${STATUS_FILENAME}`
+$ADB ${DEVICE_SERIAL} shell rm ${STATUS_FILENAME}
+if [ $'0\r' != ${EXIT_CODE} ]; then
+ exit 1
+fi
+exit 0 \ No newline at end of file